autostart_cmd.c File Reference
`#include "config.h"`
`#include "daemon/engine.h"`
`#include "enforcer/enforce_task.h"`
`#include "policy/policy_resalt_task.h"`
`#include "duration.h"`
`#include "status.h"`
`#include "log.h"`
`#include "hsmkey/hsm_key_factory.h"`
`#include "enforcer/autostart_cmd.h"`

Go to the source code of this file.

## Functions

void | autostart (engine_type *engine)

## Function Documentation

## autostart()

void autostart | ( | engine_type * | engine | ) |

Definition at line 45 of file autostart_cmd.c.

References engine_struct::config, db_connection_free(), enforce_task_flush_all(), flush_resalt_task_all(), get_database_connection(), hsm_key_factory_schedule_generate_all(), engineconfig_struct::manual_keygen, and engine_struct::taskq.

Referenced by main().